import type { PrintEntry } from './PrintEntry'

/**
 * 打印合约接口
 */
export interface IPrintContract {
    /**
     * 打印数据入口，定义打印所需的数据集合
     */
    readonly PrintData: PrintEntry

    /**
     * 加载打印数据，该方法由系统自动调用
     */
    LoadPrintData(): void
}

/**
 * 打印收费合约接口
 */
export interface IPrintFeeContract {
    /**
     * 加载打印数据，该方法由系统自动调用
     * @param kjfl 打印数据字符串
     */
    LoadPrint(kjfl: string): void
}

// Vue组件封装
export const usePrintContract = () => {
    return {
        IPrintContract,
        IPrintFeeContract
    }
}